@import url('https://fonts.googleapis.com/css2?family=Hanalei+Fill&family=Holtwood+One+SC&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #ddd;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 100vh;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #fff;
  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
}

#catImg {
  width: 100%;
  max-width: 500px;
  border-radius: 12px;
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.1);
}

#showCatBtn {
  color: #3f0808;
  background: #c91b1b;
  padding: 1.5rem 1.5rem;
  margin: 2rem;
  border: none;
  border-radius: 5px;
  box-shadow: 4px 4px #3f0808;
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  cursor: pointer;
}

#showCatBtn:disabled {
  color: #494646;
  background: #5c0d0d;
}

#showCatBtn:hover {
  box-shadow: 2px 2px #3f0808;
  transform: translateY(2px) translateX(2px);
}

#showCatBtn:active {
  box-shadow: 0px 0px #3f0808;
  transform: translateY(4px) translateX(4px);
}

#id {
  color: #3f0808;
  font-family: "Rubik", sans-serif;
  font-weight: 500;
}